RCMbox Docs

API Reference

Git operations on the config project are managed through the Billing API. All endpoints are available via Aidbox RPC.

Endpoints

MethodPathPurpose
POST/repo/syncClone or pull the config repo, install deps, clean up stale worktrees
GET/repo/statusCurrent commit hash, branch, and remote URL
GET/repo/branchesList remote branches with commit hashes
POST/repo/branchesCreate a new branch with worktree
POST/repo/worktreesCreate a worktree for an existing branch
POST/repo/pushPush a branch to the remote
GET/repo/diffView uncommitted and committed changes vs main
GET/repo/commitsCommit history for a branch
POST/repo/sync-built-inSync built-in activity type declarations to the config project

Common parameters

ParameterTypeDescription
branchqueryBranch name (defaults to main)
namebodyNew branch name (for POST /repo/branches)
frombodyBase branch to create from (for POST /repo/branches)

Last updated: